aboutsummaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
Diffstat (limited to 'config')
-rw-r--r--config/keyboard-center/settings.yml80
-rw-r--r--config/lf/lfrc4
-rw-r--r--config/lf/scripts/fzfub25
-rwxr-xr-xconfig/lf/scripts/lfub34
-rw-r--r--config/pacwall/pacwall.conf28
-rw-r--r--config/x11/Xresources5
-rw-r--r--config/zathura/zathurarc1
7 files changed, 177 insertions, 0 deletions
diff --git a/config/keyboard-center/settings.yml b/config/keyboard-center/settings.yml
new file mode 100644
index 0000000..a6c0aee
--- /dev/null
+++ b/config/keyboard-center/settings.yml
@@ -0,0 +1,80 @@
+mappings:
+ MEMORY_1:
+ MACRO_1:
+ gamemode: 0
+ name: ''
+ string: command
+ type: command
+ value: [5, mate-calc]
+ MACRO_2:
+ gamemode: 0
+ name: ''
+ string: command
+ type: command
+ value: [5, /bin/boomer]
+ MACRO_3:
+ gamemode: 0
+ name: ''
+ string: command
+ type: command
+ value: [5, /bin/brightness-controller]
+ MACRO_4:
+ gamemode: 0
+ name: ''
+ string: command
+ type: command
+ value: [5, /bin/mullvad-vpn]
+ MACRO_5:
+ gamemode: 0
+ name: ''
+ string: command
+ type: command
+ value: [5, xournalpp]
+ MEMORY_2:
+ MACRO_1:
+ gamemode: 0
+ name: ''
+ string: [Ctrl, Z]
+ type: combo
+ value:
+ - [1, 29]
+ - [1, 44]
+ MACRO_2:
+ gamemode: 0
+ name: ''
+ string: [Ctrl, Shift, P]
+ type: combo
+ value:
+ - [1, 29]
+ - [1, 42]
+ - [1, 25]
+ MACRO_3:
+ gamemode: 0
+ name: ''
+ string: [Ctrl, Shift, E]
+ type: combo
+ value:
+ - [1, 29]
+ - [1, 42]
+ - [1, 18]
+ MACRO_4:
+ gamemode: 0
+ name: ''
+ string: [Ctrl, Shift, R]
+ type: combo
+ value:
+ - [1, 29]
+ - [1, 42]
+ - [1, 19]
+ MACRO_5:
+ gamemode: 0
+ name: ''
+ string: [Ctrl, Shift, A]
+ type: combo
+ value:
+ - [1, 29]
+ - [1, 42]
+ - [1, 30]
+openRGB: {MEMORY_1: main, MEMORY_2: main}
+settings: {minOnStart: true, retryCount: 5, showNotifications: true, usbDeviceID: 3,
+ usbTimeout: 1000, useOpenRGB: true}
diff --git a/config/lf/lfrc b/config/lf/lfrc
new file mode 100644
index 0000000..290a104
--- /dev/null
+++ b/config/lf/lfrc
@@ -0,0 +1,4 @@
+set previewer ctpv
+set cleaner ctpvclear
+&ctpv -s $id
+&ctpvquit $id
diff --git a/config/lf/scripts/fzfub b/config/lf/scripts/fzfub
new file mode 100644
index 0000000..48d8b67
--- /dev/null
+++ b/config/lf/scripts/fzfub
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+case "$(uname -a)" in
+ *Darwin*) UEBERZUG_TMP_DIR="$TMPDIR" ;;
+ *) UEBERZUG_TMP_DIR="/tmp" ;;
+esac
+
+cleanup() {
+ ueberzugpp cmd -s "$SOCKET" -a exit
+}
+trap cleanup HUP INT QUIT TERM EXIT
+
+UB_PID_FILE="$UEBERZUG_TMP_DIR/.$(uuidgen)"
+ueberzugpp layer --no-stdin --silent --use-escape-codes --pid-file "$UB_PID_FILE"
+UB_PID=$(cat "$UB_PID_FILE")
+
+export SOCKET="$UEBERZUG_TMP_DIR"/ueberzugpp-"$UB_PID".socket
+
+# run fzf with preview
+fzf --reverse --preview="ueberzugpp cmd -s $SOCKET -i fzfpreview -a add \
+ -x \$FZF_PREVIEW_LEFT -y \$FZF_PREVIEW_TOP \
+ --max-width \$FZF_PREVIEW_COLUMNS --max-height \$FZF_PREVIEW_LINES \
+ -f {}"
+
+ueberzugpp cmd -s "$SOCKET" -a exit
diff --git a/config/lf/scripts/lfub b/config/lf/scripts/lfub
new file mode 100755
index 0000000..45864e5
--- /dev/null
+++ b/config/lf/scripts/lfub
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# This is a wrapper script for lf that allows it to create image previews with
+# ueberzug. This works in concert with the lf configuration file and the
+# lf-cleaner script.
+
+set -e
+
+UB_PID=0
+UB_SOCKET=""
+
+case "$(uname -a)" in
+ *Darwin*) UEBERZUG_TMP_DIR="$TMPDIR" ;;
+ *) UEBERZUG_TMP_DIR="/tmp" ;;
+esac
+
+cleanup() {
+ exec 3>&-
+ ueberzugpp cmd -s "$UB_SOCKET" -a exit
+}
+
+if [ -n "$SSH_CLIENT" ] || [ -n "$SSH_TTY" ]; then
+ lf "$@"
+else
+ [ ! -d "$HOME/.cache/lf" ] && mkdir -p "$HOME/.cache/lf"
+ UB_PID_FILE="$UEBERZUG_TMP_DIR/.$(uuidgen)"
+ ueberzugpp layer --silent --no-stdin --use-escape-codes --pid-file "$UB_PID_FILE"
+ UB_PID=$(cat "$UB_PID_FILE")
+ rm "$UB_PID_FILE"
+ UB_SOCKET="$UEBERZUG_TMP_DIR/ueberzugpp-${UB_PID}.socket"
+ export UB_PID UB_SOCKET
+ trap cleanup HUP INT QUIT TERM EXIT
+ lf "$@" 3>&-
+fi
diff --git a/config/pacwall/pacwall.conf b/config/pacwall/pacwall.conf
new file mode 100644
index 0000000..1250d39
--- /dev/null
+++ b/config/pacwall/pacwall.conf
@@ -0,0 +1,28 @@
+//hook: "hsetroot -solid '#000000' -center '$W' > /dev/null"
+hook: "xwallpaper --output DP-1 --center '$W' > /dev/null"
+
+attributes: {
+ graph: "dpi=70 bgcolor='#000000' overlap=true "
+
+ package: {
+ common: "shape=point, height=0.1, fontname=monospace, fontsize=10"
+ implicit: "color='#dc322faa'"
+ explicit: "color='#268bd2aa'"
+ orphan: "color='#FF0000aa', fontcolor='#2aa198', peripheries=2, xlabel='\\N'"
+ unneeded: ""
+ outdated: "color='#46ff00aa', fontcolor='#b58900', peripheries=3, xlabel='\\N'"
+ unresolved: "color='#d33682aa', fontcolor='#d33682', peripheries=4, xlabel='\\N'"
+ repository: {
+ core: ""
+ extra: ""
+ community: ""
+ multilib: ""
+ *: "color='#859900aa'"
+ }
+ }
+ dependency: {
+ common: "color='#FFFFFF4D', arrowhead='dot', arrowsize=0.6, penwidth=0.6"
+ hard: ""
+ optional: "arrowhead=empty, style=dashed"
+ }
+}
diff --git a/config/x11/Xresources b/config/x11/Xresources
new file mode 100644
index 0000000..9c0a098
--- /dev/null
+++ b/config/x11/Xresources
@@ -0,0 +1,5 @@
+*background: #000000
+*foreground: #FFFFFF
+
+
+
diff --git a/config/zathura/zathurarc b/config/zathura/zathurarc
new file mode 100644
index 0000000..ea10740
--- /dev/null
+++ b/config/zathura/zathurarc
@@ -0,0 +1 @@
+set selection-clipboard clipboard